
<!DOCTYPE html>
<html>
<head>
<title>Обьекты Наминас</title>
<meta charset='utf-8'/>
</head>
<body>


<h2>Задание 1</h2>
<p class='task1'>Javascript frontend</p>
<form>
 <input type='button' id='button' value='Показать IMG'/>
 <button type="reset" id='reset'>Вернуть текст</button> 
</form>
<br><br>


<h2>Задание 2</h2>
<form>
  <input type='text' placeholder='Введите что-нибудь'>
  <input type='text' placeholder='Введите что-нибудь'>
 <input type='button' id='button' value='Показать'/>
 <button type="reset" id='reset'>Сбросить</button>
</form>
<p>Первый параграф</p>
<p>Второй параграф</p>  
<br><br>


<h2>Задание 3</h2>
<h2>Заголовок, не поменяется.</h2>
<p>Абзац, поменяется.</p>
<p>Абзац, поменяется.</p>
<p>Абзац, поменяется.</p>
<button type="button" id='button'>Поменять</button>
<button type="reset" id='reset'>Сбросить</button>
<br><br>

<h2>Задание 4</h2>
<form>
  <input type='text' id='number' placeholder='Число 1'> + 
  <input type='text' id='number' placeholder='Число 2'>
   = <label>?</label>
  <br><br>
 <input type='button' id='button' value='Показать'/>
 <button type="reset" id='reset'>Сбросить</button>
</form>
 <script type="text/javascript">
// 1. У вас есть форма с кнопкой и элемент параграф (тег p)…Нажав на кнопку у вас в параграфе появляется какая то картинка https://image.flaticon.com/teams/slug/google.jpg

var p1=document.getElementsByTagName('p');
button.onclick=function(){ 
  p1[0].innerHTML='<img width="50" height="50" src="https://image.flaticon.com/teams/slug/google.jpg">'}
reset.onclick=function(){ p1[0].innerHTML=' '}


// 2. У вас есть форма с двумя элементами ввода текста, кнопка и два тега p….Нажав  на кнопку, у вас в один параграф заноситься текст , который которые ввели из одного элемента и в другой параграф заноситься информация из другого элемента ввода.

var p2=document.getElementsByTagName('p');
button[1].onclick=function () {  
  var text1=document.getElementsByTagName("input")[1];
  var text2=document.getElementsByTagName("input")[2];
  p2[1].innerHTML=text1.value; 
  p2[2].innerHTML=text2.value;
}

reset[1].onclick=function(){
  p2[1].innerHTML='Первый параграф'; 
  p2[2].innerHTML="Второй параграф";
}

// 3.Дан HTML код. Поменяйте содержимое абзацев на их порядковый номер в коде.
var p3=document.getElementsByTagName('p');
button[2].onclick=function () {
  for (var i=3; i<p2.length; i++) {
    p2[i].innerHTML=i; 
  }
}
reset[2].onclick=function(){
  for (var i=3; i<p2.length; i++) {
    p2[i].innerHTML='Абзац, поменяется.'; 
  }
}

// 4. Реализация скрина. Вместо знаков вопросов суммировать value из обоих полей формы и записывать сумму вместо знака вопроса

  var label=document.getElementsByTagName("label")[0];
  
  button[3].onclick=function () {
    var a=document.getElementsByTagName("input")[4];
    var b=document.getElementsByTagName("input")[5];
    var result=Number(a.value)+Number(b.value);
    label.innerHTML=result;
  }

  reset[3].onclick=function(){
    label.innerHTML='?';}
</script>

</body>
</html>